import { constants } from '@zohodesk/js-api-creator';

export default {
  "articles": {
    url: "articles",
    method: constants.get
  },
  "articles.get": {
    url: "articles/:articleId",
    method: constants.get
  },
  "articles.versionList": {
    url: "articles/:articleId/versionList",
    method: constants.get
  },
  "articles.create": {
    url: "articles",
    method: constants.post
  },
  "articles.update": {
    url: "articles/:articleId",
    method: constants.put
  },
  "articles.quickEdit": {
    url: "articles/:articleId/quickEdit",
    method: constants.put
  },
  "articles.restore": {
    url: "articles/:articleId/restore",
    method: constants.post
  },
  "articles.permalinks": {
    url: "articles/:articleId/permalinks",
    method: constants.get
  },
  "articles.permalinks.update": {
    url: "articles/:articleId/permalinks",
    method: constants.post
  },
  "articles.permalinks.removeSecondaryPermalink": {
    url: "articles/:articleId/permalinks/removeSecondaryPermalink",
    method: constants.post
  },
  "articles.checkPermalinkAvailability": {
    url: "articles/checkPermalinkAvailability",
    method: constants.post
  },
  "articles.history": {
    url: "articles/:articleId/history",
    method: constants.get
  },
  "articles.attachments": {
    url: "articles/:articleId/attachments",
    method: constants.get
  },
  "articles.attachments.create": {
    url: "articles/:articleId/attachments",
    method: constants.post
  },
  "articles.associateAttachments": {
    url: "articles/:articleId/associateAttachments",
    method: constants.post
  },
  "articles.dissociateAttachments": {
    url: "articles/:articleId/dissociateAttachments",
    method: constants.post
  },
  "articleAttachments.create": {
    url: "articleAttachments",
    method: constants.post
  },
  "articles.discardMany": {
    url: "articles/discardMany",
    method: constants.post
  },
  "articles.moveToTrash": {
    url: "articles/moveToTrash",
    method: constants.post
  },
  "articleTranslations.moveToTrash": {
    url: "articleTranslations/moveToTrash",
    method: constants.post
  },
  "articles.updateMany": {
    url: "articles/updateMany",
    method: constants.post
  },
  "articles.count": {
    url: "articles/count",
    method: constants.get
  },
  "articlesDashboard": {
    url: "articlesDashboard",
    method: constants.get
  },
  "articles.search": {
    url: "articles/search",
    method: constants.get
  },
  "articles.searchKeywords": {
    url: "articles/searchKeywords",
    method: constants.get
  },
  "articles.usedTickets": {
    url: "articles/:articleId/usedTickets",
    method: constants.get
  },
  "convertFileContentToHtml": {
    url: "convertFileContentToHtml",
    method: constants.post
  },
  "articles.translations.create": {
    url: "articles/:articleId/translations",
    method: constants.post
  },
  "articles.translations.update": {
    url: "articles/:articleId/translations/:locale",
    method: constants.patch
  },
  "articles.translations.quickEdit": {
    url: "articles/:articleId/translations/:locale/quickEdit",
    method: constants.post
  },
  "articles.translations.autoDraft": {
    url: "articles/:articleId/translations/:locale/autoDraft",
    method: constants.post
  },
  "articles.translations.restoreVersion": {
    url: "articles/:articleId/translations/:locale/restoreVersion",
    method: constants.post
  },
  "articles.translations.get": {
    url: "articles/:articleId/translations/:locale",
    method: constants.get
  },
  "articleTranslations": {
    url: "articleTranslations",
    method: constants.get
  },
  "articles.translations": {
    url: "articles/:articleId/translations",
    method: constants.get
  },
  "articles.translations.versions": {
    url: "articles/:articleId/translations/:locale/versions",
    method: constants.get
  },
  "articles.translations.versionDiff": {
    url: "articles/:articleId/translations/:locale/versionDiff",
    method: constants.get
  },
  "articles.outdateTranslations": {
    url: "articles/:articleId/outdateTranslations",
    method: constants.post
  },
  "articles.translation.attachments": {
    url: "articles/:articleId/translations/:locale/attachments",
    method: constants.get
  },
  "articles.translation.attachments.uploadAndAssociate": {
    url: "articles/:articleId/translations/:locale/attachments",
    method: constants.post
  },
  "articles.translation.attachFiles": {
    url: "articles/:articleId/translations/:locale/associateAttachments",
    method: constants.post
  },
  "articles.translations.dissociateAttachments": {
    url: "articles/:articleId/translations/:locale/dissociateAttachments",
    method: constants.post
  },
  "articles.translations.like": {
    url: "articles/:articleId/translations/:locale/like",
    method: constants.post
  },
  "articles.translations.disLike": {
    url: "articles/:articleId/translations/:locale/dislike",
    method: constants.post
  },
  "articles.translations.history": {
    url: "articles/:articleId/translations/:locale/history",
    method: constants.get
  },
  "articles.insights": {
    url: "articles/:articleId/insights",
    method: constants.get
  },
  "articles.translations.insights": {
    url: "articles/:articleId/translations/:locale/insights",
    method: constants.get
  },
  "articles.translations.permalinks": {
    url: "articles/:articleId/translations/:locale/permalinks",
    method: constants.get
  },
  "articles.translations.permalinks.update": {
    url: "articles/:articleId/translations/:locale/permalinks/add",
    method: constants.post
  },
  "articles.translations.permalinks.removeSecondaryPermalink": {
    url: "articles/:articleId/translations/:locale/permalinks/removeSecondaryPermalink",
    method: constants.post
  },
  "articles.translations.delete": {
    url: "articles/:articleId/translations/:locale",
    method: constants.deleteIt
  },
  "articles.comments.create": {
    url: "articles/:articleId/comments",
    method: constants.post
  },
  "articles.translationsComments.create": {
    url: "articles/:articleId/translations/:locale/comments",
    method: constants.post
  },
  "articles.comments.update": {
    url: "articles/:articleId/comments/:commentId",
    method: constants.patch
  },
  "articles.translationsComments.update": {
    url: "articles/:articleId/translations/:locale/comments/:commentId",
    method: constants.patch
  },
  "articles.comments.delete": {
    url: "articles/:articleId/comments/:commentId",
    method: constants.deleteIt
  },
  "articles.translationsComments.delete": {
    url: "articles/:articleId/translations/:locale/comments/:commentId",
    method: constants.deleteIt
  },
  "articles.comments.get": {
    url: "articles/:articleId/comments/commentId",
    method: constants.get
  },
  "articles.translationsComments.get": {
    url: "articles/:articleId/translations/:locale/comments/:commentId",
    method: constants.get
  },
  "articles.comments.getall": {
    url: "articles/:articleId/comments",
    method: constants.get
  },
  "articles.translationsComments.getall": {
    url: "articles/:articleId/translations/:locale/comments",
    method: constants.get
  },
  "kbCategory": {
    url: "kbCategory",
    method: constants.get
  },
  "kbCategory.create": {
    url: "kbCategory",
    method: constants.post
  },
  "kbCategory.update": {
    url: "kbCategory/:categoryId",
    method: constants.patch
  },
  "kbCategory.delete": {
    url: "kbCategory/:categoryId",
    method: constants.deleteIt
  },
  "kbCategory.repositionArticles": {
    url: "kbCategory/:articleId/repositionArticles",
    method: constants.get
  },
  "kbCategoryReview": {
    url: "kbCategoryReview",
    method: constants.get
  },
  "kbCategoryLogo.create": {
    url: "kbCategoryLogo",
    method: constants.post
  },
  "kbCategory.permalinks": {
    url: "kbCategory/:categoryId/permalinks",
    method: constants.get
  },
  "kbCategory.permalinks.update": {
    url: "kbCategory/:categoryId/permalinks/add",
    method: constants.post
  },
  "kbCategory.permalinks.removeSecondaryPermalink": {
    url: "kbCategory/:categoryId/permalinks/removeSecondaryPermalink",
    method: constants.post
  }
};